org.appng.api.support

## Class LabelSupport

- java.lang.Object
- - org.appng.api.support.LabelSupport

-     public class LabelSupport
      extends Object

  This class is responsible for setting the value of a `Label`. This is done by using the `Label`s id to retrieve the message from a `MessageSource`. The `Label`'s
  Author:
    Matthias Müller

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `LABEL_PREFIX`
    `protected static String` | `LABEL_SUFFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LabelSupport(org.springframework.context.MessageSource messageSource, Locale locale)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected List<Object>` | `resolveArgumentsFromParams(Label label, ExpressionEvaluator expressionEvaluator, ParameterSupport fieldParameters)`
    `void` | `setLabel(Label label, ExpressionEvaluator expressionEvaluator, ParameterSupport fieldParameters)`
    `protected void` | `setLabelFromKey(Label label, ExpressionEvaluator expressionEvaluator, ParameterSupport fieldParameters, String key)`
    `void` | `setLabels(Config config, ExpressionEvaluator expressionEvaluator, ParameterSupport fieldParameters)`
    `void` | `setLabels(Labels labels, ExpressionEvaluator expressionEvaluator, ParameterSupport fieldParameters)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LABEL_SUFFIX

          protected static final String LABEL_SUFFIX

      See Also:
        Constant Field Values

    - #### LABEL_PREFIX

          protected static final String LABEL_PREFIX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LabelSupport

          public LabelSupport(org.springframework.context.MessageSource messageSource,
                              Locale locale)

  - ### Method Detail

    - #### setLabels

          public final void setLabels(Config config,
                                      ExpressionEvaluator expressionEvaluator,
                                      ParameterSupport fieldParameters)

    - #### setLabels

          public final void setLabels(Labels labels,
                                      ExpressionEvaluator expressionEvaluator,
                                      ParameterSupport fieldParameters)

    - #### setLabel

          public final void setLabel(Label label,
                                     ExpressionEvaluator expressionEvaluator,
                                     ParameterSupport fieldParameters)

    - #### setLabelFromKey

          protected void setLabelFromKey(Label label,
                                         ExpressionEvaluator expressionEvaluator,
                                         ParameterSupport fieldParameters,
                                         String key)

    - #### resolveArgumentsFromParams

          protected List<Object> resolveArgumentsFromParams(Label label,
                                                            ExpressionEvaluator expressionEvaluator,
                                                            ParameterSupport fieldParameters)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.